Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.pipe
Class Merge

    java.lang.Object
      cascading.pipe.Pipe
          cascading.pipe.Splice
              cascading.pipe.Merge

All Implemented Interfaces:
  FlowElement, Serializable

    public class Merge

extends Splice

The Merge Pipe allows for multiple branches, with the same fields to be spliced back into a single stream.

The behavior is similar to the `GroupBy` merging features, but Merge does not perform any grouping or sorting on keys. Thus, when using a MapReduce platform, no Reducer is required.

Merge is non-blocking and performs no processing. Any number of branches and merges may be performed in a `Flow` without triggering any additional MapReduce jobs on the Hadoop platform.

Unlike `HashJoin`, no preference need be made for left-hand or right-hand sided-ness of streams in relation to their sizes.

See Also:
  `GroupBy`, Serialized Form

Field Summary

Fields inherited from class cascading.pipe.Splice
`declaredFields, keyFieldsMap, resultGroupFields, sortFieldsMap`

Fields inherited from class cascading.pipe.Pipe
`configDef, name, parent, previous, stepConfigDef`

Constructor Summary
`Merge(Pipe... pipes)` Constructor Merge creates a new Merge instance.
`Merge(String name, Pipe... pipes)` Constructor Merge creates a new Merge instance.

Method Summary

Methods inherited from class cascading.pipe.Splice
`equals, getDeclaredFields, getJoiner, getKeySelectors, getName, getNumSelfJoins, getPipePos, getPrevious, getSortingSelectors, hashCode, isCoGroup, isEquivalentTo, isGroupBy, isJoin, isMerge, isSorted, isSortReversed, outgoingScopeFor, printInternal, resolveIncomingOperationPassThroughFields, toString`

Methods inherited from class cascading.pipe.Pipe
`getConfigDef, getHeads, getParent, getStepConfigDef, getTrace, hasConfigDef, hasStepConfigDef, id, named, names, pipes, print, resolveIncomingOperationArgumentFields, setParent`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Merge

    @ConstructorProperties(value="pipes")
    public Merge(Pipe... pipes)

  Constructor Merge creates a new Merge instance.

  Parameters:
    `pipes` -

### Merge

    @ConstructorProperties(value={"name","pipes"})
    public Merge(String name,
                                            Pipe... pipes)

  Constructor Merge creates a new Merge instance.

  Parameters:
    `name` -
    `pipes` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.